org.h2.util

## Class MemoryUnmapper

- java.lang.Object
- - org.h2.util.MemoryUnmapper

    public final class MemoryUnmapper
    extends java.lang.Object

Unsafe memory unmapper.

See Also:
  `SysProperties.NIO_CLEANER_HACK`

### Method Summary

Methods
`static boolean` `unmap(java.nio.ByteBuffer buffer)` Tries to unmap memory for the specified byte buffer using Java internals in unsafe way if `SysProperties.NIO_CLEANER_HACK` is enabled and access is not denied by a security manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### unmap

    public static boolean unmap(java.nio.ByteBuffer buffer)

Tries to unmap memory for the specified byte buffer using Java internals in unsafe way if `SysProperties.NIO_CLEANER_HACK` is enabled and access is not denied by a security manager.

Parameters:
  `buffer` - mapped byte buffer
Returns:
  whether operation was successful